# Asterisk Project : Asterisk 13 Function_ARRAY

Created by wikibot on Aug 08, 2014

# ARRAY()

### Synopsis

Allows setting multiple variables at once.

### Description

The comma-delimited list passed as a value to which the function is set will be interpreted as a set of values to which the comma-delimited list of variable names in the argument should be set.

Example: Set(ARRAY(var1,var2)=1,2) will set var1 to 1 and var2 to 2

### Syntax

    ARRAY(var1[,var2[,...][,varN]])

##### Arguments

- `var1`
- `var2`
- `varN`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538